Package logilab :: Package common :: Module shellutils :: Class progress

[frames] | no frames]

# Class progress

source code

    object --+
             |
            progress

Instance Methods

__init__(self, nbops=_MARKER, size=_MARKER, stream=_MARKER, title=_MARKER, enabled=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__enter__(self) | source code

__exit__(self, exc_type, exc_val, exc_tb) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, nbops=_MARKER, size=_MARKER, stream=_MARKER, title=_MARKER, enabled=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)